package com.izouma.awesomeadmin.dao;

import java.util.*;

import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ThingInfo;


/**
 * Dao接口
 */
@Repository("com.zoumaframe.dao.ThingInfoMapper")
public interface ThingInfoMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ThingInfo record);

    ThingInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ThingInfo record);

    List<ThingInfo> queryAllThingInfo(ThingInfo record);

    List<ThingInfo> queryAllThingInfoAllInfo(ThingInfo record);

    List<ThingInfo> queryThingInfoByPage(Map<String, Object> parameter);

    int delete(ThingInfo record);

    ThingInfo queryThingInfo(ThingInfo record);

    List<ThingInfo> query(ThingInfo record);
}

